package com.mx.dla.dda.contrato.transaccion.fees.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;


public class FeesPremierDTO extends BaseDTO{
		
	private static final long serialVersionUID = 1L;
	
	private String[][] datosMin;
	private String[][] datosMinAnio;
	private String[][] datosReleases;
	private String[][] datosImpuestos;
	private String[][] datosRevenue;
	private String[][] datosPrecio;
	
	private String paises   []; 
	private String aniosMin [];
	private String formatos [];
	private Long   idCatMin [];
	private Long   idCatRel [];
	private Long   idCatEli [];
	private Long   idsRelEli [];
	
	
	private List<List<String>> minimos;
	private List<List<String>> minimosAnio;
	private List<List<String>> releases;
	private List<List<String>> impuestos;
	private List<List<String>> revenue;
	private List<List<String>> precio;
		
	public String[][] getDatosMin() {
		return datosMin;
	}
	public void setDatosMin(String[][] datosMin) {
		this.datosMin = datosMin;
	}
	public String[][] getDatosReleases() {
		return datosReleases;
	}
	public void setDatosReleases(String[][] datosReleases) {
		this.datosReleases = datosReleases;
	}
	public String[][] getDatosImpuestos() {
		return datosImpuestos;
	}
	public void setDatosImpuestos(String[][] datosImpuestos) {
		this.datosImpuestos = datosImpuestos;
	}
	public String[][] getDatosRevenue() {
		return datosRevenue;
	}
	public void setDatosRevenue(String[][] datosRevenue) {
		this.datosRevenue = datosRevenue;
	}
	public String[][] getDatosPrecio() {
		return datosPrecio;
	}
	public void setDatosPrecio(String[][] datosPrecio) {
		this.datosPrecio = datosPrecio;
	}
	public String[] getPaises() {
		return paises;
	}
	public void setPaises(String[] paises) {
		this.paises = paises;
	}
	public String[][] getDatosMinAnio() {
		return datosMinAnio;
	}
	public void setDatosMinAnio(String[][] datosMinAnio) {
		this.datosMinAnio = datosMinAnio;
	}
	public String[] getAniosMin() {
		return aniosMin;
	}
	public void setAniosMin(String[] aniosMin) {
		this.aniosMin = aniosMin;
	}
	public String[] getFormatos() {
		return formatos;
	}
	public void setFormatos(String[] formatos) {
		this.formatos = formatos;
	}
	public Long[] getIdCatMin() {
		return idCatMin;
	}
	public void setIdCatMin(Long[] idCatMin) {
		this.idCatMin = idCatMin;
	}
	public Long[] getIdCatRel() {
		return idCatRel;
	}
	public void setIdCatRel(Long[] idCatRel) {
		this.idCatRel = idCatRel;
	}
	public List<List<String>> getMinimos() {
		return minimos;
	}
	public void setMinimos(List<List<String>> minimos) {
		this.minimos = minimos;	
		if(minimos != null)
		{
			this.datosMin =  new String[minimos.size()][minimos.get(0).size()];		
			for(int i=0; i<minimos.size();i++)		
				for(int j=0; j<minimos.get(0).size();j++)			
					datosMin[i][j] = minimos.get(i).get(j);
		}							
	}
	
	public List<List<String>> getMinimosAnio() {
		return minimosAnio;
	}
	
	public void setMinimosAnio(List<List<String>> minimos) {
		this.minimosAnio  = minimos;
		if(minimos != null)
		{
			this.datosMinAnio =  new String[minimos.size()][minimos.get(0).size()];		
			for(int i=0; i<minimos.size();i++)
				for(int j=0; j<minimos.get(0).size();j++)			
				   datosMinAnio[i][j] = minimos.get(i).get(j);	
		}			
	}
	public List<List<String>> getReleases() {
		return releases;
	}
	public void setReleases(List<List<String>> releases) {
		this.releases = releases;
		if(releases != null)
		{
			this.datosReleases =  new String[releases.size()][releases.get(0).size()];		
			for(int i=0; i<releases.size();i++)
				for(int j=0; j<releases.get(0).size();j++)			
					datosReleases[i][j] = releases.get(i).get(j);	
		}		
	}
	public List<List<String>> getImpuestos() {
		return impuestos;
	}
	public void setImpuestos(List<List<String>> impuestos) {
		this.impuestos = impuestos;
		if(impuestos != null)
		{
			this.datosImpuestos =  new String[impuestos.size()][impuestos.get(0).size()];		
			for(int i=0; i<impuestos.size();i++)
				for(int j=0; j<impuestos.get(0).size();j++)			
					datosImpuestos[i][j] = impuestos.get(i).get(j);	
		}		
	}
	public List<List<String>> getRevenue() {
		return revenue;
	}
	public void setRevenue(List<List<String>> revenue) {
		this.revenue = revenue;
		if(revenue != null)
		{
			this.datosRevenue =  new String[revenue.size()][revenue.get(0).size()];		
			for(int i=0; i<revenue.size();i++)
				for(int j=0; j<revenue.get(0).size();j++)			
					datosRevenue[i][j] = revenue.get(i).get(j);	
		}		
	}
	public List<List<String>> getPrecio() {
		return precio;
	}
	public void setPrecio(List<List<String>> precio) {
		this.precio = precio;
		if(precio != null)
		{
			this.datosPrecio =  new String[precio.size()][precio.get(0).size()];		
			for(int i=0; i<precio.size();i++)
				for(int j=0; j<precio.get(0).size();j++)			
					datosPrecio[i][j] = precio.get(i).get(j);	
		}		
	}
	public Long[] getIdCatEli() {
		return idCatEli;
	}
	public void setIdCatEli(Long[] idCatEli) {
		this.idCatEli = idCatEli;
	}
	public Long[] getIdsRelEli() {
		return idsRelEli;
	}
	public void setIdsRelEli(Long[] idsRelEli) {
		this.idsRelEli = idsRelEli;
	}	
	
}
